<?php
/*
Plugin Name: Comment author url redirect plugin
Plugin URI: http://imthi.com/blog/139/index.php
Description: This plugin masks the authors url in comment instead directly linking.!!!
Author: Imthiaz Rafiq
Version: 1.0
Author URI: http://imthi.com/
*/

//Add hooks to clear rewrite rules while activating and de-activating this plugin.
function MyRewriteRulesPluginActivate(){
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('activate_'.str_replace('\\','/',plugin_basename(__FILE__)),'MyRewriteRulesPluginActivate');

function MyRewriteRulesPluginDeActivate(){
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
add_action('deactivate_'.str_replace('\\','/',plugin_basename(__FILE__)),'MyRewriteRulesPluginDeActivate');

//Rewrite rules section
function insertMyRewriteRules($rules){
	$newrules = array();
	$newrules['redirect/url/(.+)$']='index.php?is_page_redirect=1&redirect_url=$matches[1]';
	return $newrules+$rules;
}
add_filter('rewrite_rules_array','insertMyRewriteRules');

function insertMyRewriteQueryVars($vars){
	array_push($vars, 'is_page_redirect', 'redirect_url');
	return $vars;
}
add_filter('query_vars','insertMyRewriteQueryVars');

function insertMyRewriteParseQuery($query){
	if(!empty($query->query_vars['is_page_redirect'])){
		header("location:".$query->query_vars['redirect_url']);
		exit();
	}
}
add_action('parse_query','insertMyRewriteParseQuery');

//Comment url update section
function updateCommentAuthorURL($url){
	global $wp_rewrite;
	if($wp_rewrite->using_permalinks()){
		return get_settings('siteurl')."/redirect/url/$url";		
	}else{
		return get_settings('siteurl')."?is_page_redirect=1&redirect_url=$url";
	}
}
add_filter('get_comment_author_url','updateCommentAuthorURL');
?>